{% extends "main-template.html" %}{% load static %}
{% block title %}Bazar Mantenedor Contacto{% endblock %}
{% block content %}

<table class="table">
    <thead>
        <tr>
            <th scope="col">Codigo</th>
            <th scope="col">RUN</th>
            <th scope="col">dv</th>
            <th scope="col">Nombres</th>
            <th scope="col">Apellido Paterno</th>
            <th scope="col">Apellido Materno</th>
            <th scope="col">Email</th>
            <th scope="col">Telefono</th>
            <th scope="col">Asunto</th>
        </tr>
    </thead>
    <tbody>
        {% for c in contactos %}
            <tr>
                <th scope="row">{{c.codigo}}</th>
                    <td>{{c.run}}</td>
                    <td>{{c.dv}}</td>
                    <td>{{c.nombres}}</td>
                    <td>{{c.apellido_paterno}}</td>
                    <td>{{c.apellido_materno}}</td>
                    <td>{{c.email}}</td>
                    <td>{{c.telefono}}</td>
                    <td>{{c.asunto}}</td>
                <td><button type="button" class="btn btn-danger" 
                        data-bs-toggle="modal" 
                        data-bs-target="#mdl-{{c.codigo}}">ELIMINAR
                    </button>
                    <div id="mdl-{{c.codigo}}" class="modal" tabindex="-1">
                        <div class="modal-dialog">
                            <div class="modal-content">
                                <div class="modal-header">
                                    <h5 class="modal-title">Eliminar fila</h5>
                                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                                </div>
                                <div class="modal-body">
                                    <p>¿Estas seguro?</p>
                                </div>
                                <div class="modal-footer">
                                    <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Cancelar</button>
                                    <form method="GET" action="">
                                        <input name="codigo" value="{{c.codigo}}" hidden />
                                        <button type="submit" class="btn btn-primary">Aceptar</button>
                                    </form>
                                </div>
                            </div>
                        </div>
                    </div>
                </td>
            </tr>
        {% endfor %}
    </tbody>
</table>

{% endblock %}